{
  "x-generator": "On Key REST API Docs Generator",
  "openapi": "3.0.0",
  "info": {
    "title": "On Key RES  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "{scheme}://{server}:{port}/api/tenants/{client}/{connection}",
      "description": "On Key API Server",
      "variables": {
        "scheme": {
          "default": "https",
          "description": "HTTP scheme"
        },
        "server": {
          "default": "<variable>",
          "description": "Server host"
        },
        "port": {
          "default": "443",
          "description": "Port"
        },
        "client": {
          "default": "<variable>",
          "description": "Client"
        },
        "connection": {
          "default": "<variable>",
          "description": "Connection/Environment (i.e. prod, qa)"
        }
      }
    }
  ],
  "paths": {
    "/Modules/RES/Competencies/{id}": {
      "get": {
        "tags": [
          "Competency"
        ],
        "summary": "Get a Competency resource.",
        "description": "",
        "operationId": "GetCompetency",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Competency Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Competency",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetCompetencyResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Competency"
        ],
        "summary": "Update an existing Competency resource.",
        "description": "",
        "operationId": "UpdateCompetency",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Competency Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateCompetencyResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Competency was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Competency"
        ],
        "summary": "Delete an existing Competency resource.",
        "description": "",
        "operationId": "DeleteCompetency",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Competency Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteCompetencyResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Competency was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Competencies": {
      "get": {
        "tags": [
          "Competency"
        ],
        "summary": "Get a collection of Competency resources.",
        "description": "",
        "operationId": "GetCompetencyCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Competency collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetCompetencyCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Competency"
        ],
        "summary": "Create a new Competency resource.",
        "description": "",
        "operationId": "CreateCompetency",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateCompetencyResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Competencies/Lookups/LookupCompetencyChangePermissionTree": {
      "get": {
        "tags": [
          "Competency"
        ],
        "summary": "Lookup the permission set for changing the Competency.",
        "description": "",
        "operationId": "LookupCompetencyChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/CompetencyChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Competencies/Lookups/LookupCompetencyInsertPermissionTree": {
      "get": {
        "tags": [
          "Competency"
        ],
        "summary": "Lookup the permission set for creating the Competency.",
        "description": "",
        "operationId": "LookupCompetencyInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/CompetencyInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Competencies/Batch/{ids}": {
      "get": {
        "tags": [
          "Competency"
        ],
        "summary": "Get a collection of Competency resources for the set of id's.",
        "description": "",
        "operationId": "BatchGetCompetency",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Competency id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Competency collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetCompetencyResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Competencies/Batch": {
      "post": {
        "tags": [
          "Competency"
        ],
        "summary": "Create a new collection of Competency resources.",
        "description": "",
        "operationId": "BatchCreateCompetency",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateCompetencyResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Competency batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Competency"
        ],
        "summary": "Update a collection of existing Competency resources.",
        "description": "",
        "operationId": "BatchUpdateCompetency",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateCompetencyResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Competency batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Competency"
        ],
        "summary": "Delete a collection of existing Competency resources.",
        "description": "",
        "operationId": "BatchDeleteCompetency",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteCompetencyResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Competency batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Competencies/{id}/Active": {
      "patch": {
        "tags": [
          "Competency"
        ],
        "summary": "Change the IsActive status for an existing Competency resource.",
        "description": "",
        "operationId": "ChangeCompetencyIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Competency Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeCompetencyIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Competencies/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Competency"
        ],
        "summary": "Change the PermissionTree for an existing Competency resource.",
        "description": "",
        "operationId": "ChangeCompetencyPermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Competency Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeCompetencyPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Competencies/Batch/Active": {
      "patch": {
        "tags": [
          "Competency"
        ],
        "summary": "Change the IsActive status for a collection of existing Competency resources.",
        "description": "",
        "operationId": "BatchChangeCompetencyIsActive",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeCompetencyIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Competencies/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Competency"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Competency resources.",
        "description": "",
        "operationId": "BatchChangeCompetencyPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeCompetencyPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/{id}": {
      "get": {
        "tags": [
          "Resource"
        ],
        "summary": "Get a Resource resource.",
        "description": "",
        "operationId": "GetResource",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Resource Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Resource",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetResourceResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Resource"
        ],
        "summary": "Update an existing Resource resource.",
        "description": "",
        "operationId": "UpdateResource",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Resource Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateResourceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Resource was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Resource"
        ],
        "summary": "Delete an existing Resource resource.",
        "description": "",
        "operationId": "DeleteResource",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Resource Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteResourceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Resource was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources": {
      "get": {
        "tags": [
          "Resource"
        ],
        "summary": "Get a collection of Resource resources.",
        "description": "",
        "operationId": "GetResourceCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Resource collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetResourceCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Resource"
        ],
        "summary": "Create a new Resource resource.",
        "description": "",
        "operationId": "CreateResource",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateResourceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Lookups/LookupResourceChangePermissionTree": {
      "get": {
        "tags": [
          "Resource"
        ],
        "summary": "Lookup the permission set for changing the Resource.",
        "description": "",
        "operationId": "LookupResourceChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Lookups/LookupResourceClassification": {
      "get": {
        "tags": [
          "Resource"
        ],
        "summary": "Lookup the Resource Classification for the Resource.",
        "description": "",
        "operationId": "LookupResourceClassification",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Resource Classification collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceClassificationLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Lookups/LookupResourceCostElement": {
      "get": {
        "tags": [
          "Resource"
        ],
        "summary": "Lookup the Cost Element for the Resource.",
        "description": "",
        "operationId": "LookupResourceCostElement",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Cost Element collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceCostElementLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Lookups/LookupResourceDefaultResourceTrade": {
      "get": {
        "tags": [
          "Resource"
        ],
        "summary": "Lookup the Resource Trade for the Resource.",
        "description": "",
        "operationId": "LookupResourceDefaultResourceTrade",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Resource Trade collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceDefaultResourceTradeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Lookups/LookupResourceInsertPermissionTree": {
      "get": {
        "tags": [
          "Resource"
        ],
        "summary": "Lookup the permission set for creating the Resource.",
        "description": "",
        "operationId": "LookupResourceInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Lookups/LookupResourceSection": {
      "get": {
        "tags": [
          "Resource"
        ],
        "summary": "Lookup the Section for the Resource.",
        "description": "",
        "operationId": "LookupResourceSection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Section collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceSectionLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Lookups/LookupResourceSite": {
      "get": {
        "tags": [
          "Resource"
        ],
        "summary": "Lookup the Site for the Resource.",
        "description": "",
        "operationId": "LookupResourceSite",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Site collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceSiteLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Batch/{ids}": {
      "get": {
        "tags": [
          "Resource"
        ],
        "summary": "Get a collection of Resource resources for the set of id's.",
        "description": "",
        "operationId": "BatchGetResource",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Resource id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Resource collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetResourceResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Batch": {
      "post": {
        "tags": [
          "Resource"
        ],
        "summary": "Create a new collection of Resource resources.",
        "description": "",
        "operationId": "BatchCreateResource",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateResourceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Resource batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Resource"
        ],
        "summary": "Update a collection of existing Resource resources.",
        "description": "",
        "operationId": "BatchUpdateResource",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateResourceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Resource batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Resource"
        ],
        "summary": "Delete a collection of existing Resource resources.",
        "description": "",
        "operationId": "BatchDeleteResource",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteResourceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Resource batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/{id}/Active": {
      "patch": {
        "tags": [
          "Resource"
        ],
        "summary": "Change the IsActive status for an existing Resource resource.",
        "description": "",
        "operationId": "ChangeResourceIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Resource Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeResourceIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Resource"
        ],
        "summary": "Change the PermissionTree for an existing Resource resource.",
        "description": "",
        "operationId": "ChangeResourcePermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Resource Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeResourcePermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/{id}/Site": {
      "patch": {
        "tags": [
          "Resource"
        ],
        "summary": "Change the Site status for an existing Resource resource.",
        "description": "",
        "operationId": "ChangeResourceSite",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Resource Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeResourceSiteResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Batch/Active": {
      "patch": {
        "tags": [
          "Resource"
        ],
        "summary": "Change the IsActive status for a collection of existing Resource resources.",
        "description": "",
        "operationId": "BatchChangeResourceIsActive",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeResourceIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Resource"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Resource resources.",
        "description": "",
        "operationId": "BatchChangeResourcePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeResourcePermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Batch/Site": {
      "patch": {
        "tags": [
          "Resource"
        ],
        "summary": "Change the Site status for a collection of existing Resource resources.",
        "description": "",
        "operationId": "BatchChangeResourceSite",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeResourceSiteResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/MatchBatch": {
      "patch": {
        "tags": [
          "Resource"
        ],
        "summary": "Update a collection of existing Resource resources to have the same value(s).",
        "description": "",
        "operationId": "MatchUpdateResource",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "matchUpdate",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitymatchupdatecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/MatchUpdateResourceResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Resource batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Addresses/{id}": {
      "get": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Get a Resource Address resource.",
        "description": "",
        "operationId": "GetResourceAddress",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Resource Address Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Resource Address",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetResourceAddressResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Update an existing Resource Address resource.",
        "description": "",
        "operationId": "UpdateResourceAddress",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Resource Address Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateResourceAddressResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Resource Address was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Delete an existing Resource Address resource.",
        "description": "",
        "operationId": "DeleteResourceAddress",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Resource Address Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteResourceAddressResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Resource Address was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Addresses": {
      "get": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Get a collection of Resource Address resources.",
        "description": "",
        "operationId": "GetResourceAddressCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Resource Address collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetResourceAddressCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Create a new Resource Address resource.",
        "description": "",
        "operationId": "CreateResourceAddress",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateResourceAddressResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/{resourceId}/Addresses": {
      "get": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Get a collection of Resource Address resources for the Resource.",
        "description": "",
        "operationId": "GetResourceAddressForResourceCollection",
        "parameters": [
          {
            "name": "resourceId",
            "in": "path",
            "required": true,
            "description": "Resource Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Resource Address collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetResourceAddressForResourceCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Addresses/Lookups/LookupResourceAddressAddressType": {
      "get": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Lookup the Resource for the Resource Address.",
        "description": "",
        "operationId": "LookupResourceAddressAddressType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Address Type collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceAddressAddressTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Addresses/Lookups/LookupResourceAddressChangePermissionTree": {
      "get": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Lookup the permission set for changing the Resource Address.",
        "description": "",
        "operationId": "LookupResourceAddressChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceAddressChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Addresses/Lookups/LookupResourceAddressInsertPermissionTree": {
      "get": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Lookup the permission set for creating the Resource Address.",
        "description": "",
        "operationId": "LookupResourceAddressInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceAddressInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Addresses/Lookups/LookupResourceAddressResource": {
      "get": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Lookup the Resource for the Resource Address.",
        "description": "",
        "operationId": "LookupResourceAddressResource",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Resource collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceAddressResourceLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Addresses/Batch/{ids}": {
      "get": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Get a collection of Resource Address resources for the set of id's.",
        "description": "",
        "operationId": "BatchGetResourceAddress",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Resource Address id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Resource Address collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetResourceAddressResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Addresses/Batch": {
      "post": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Create a new collection of Resource Address resources.",
        "description": "",
        "operationId": "BatchCreateResourceAddress",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateResourceAddressResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Resource Address batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Update a collection of existing Resource Address resources.",
        "description": "",
        "operationId": "BatchUpdateResourceAddress",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateResourceAddressResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Resource Address batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Delete a collection of existing Resource Address resources.",
        "description": "",
        "operationId": "BatchDeleteResourceAddress",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteResourceAddressResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Resource Address batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Addresses/{id}/Active": {
      "patch": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Change the IsActive status for an existing Resource Address resource.",
        "description": "",
        "operationId": "ChangeResourceAddressIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Resource Address Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeResourceAddressIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Addresses/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Change the PermissionTree for an existing Resource Address resource.",
        "description": "",
        "operationId": "ChangeResourceAddressPermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Resource Address Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeResourceAddressPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Addresses/Batch/Active": {
      "patch": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Change the IsActive status for a collection of existing Resource Address resources.",
        "description": "",
        "operationId": "BatchChangeResourceAddressIsActive",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeResourceAddressIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Addresses/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Resource Address"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Resource Address resources.",
        "description": "",
        "operationId": "BatchChangeResourceAddressPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeResourceAddressPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Attributes/{id}": {
      "get": {
        "tags": [
          "Resource Attribute"
        ],
        "summary": "Get a Resource Attribute resource.",
        "description": "",
        "operationId": "GetResourceAttribute",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Resource Attribute Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Resource Attribute",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetResourceAttributeResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Resource Attribute"
        ],
        "summary": "Update an existing Resource Attribute resource.",
        "description": "",
        "operationId": "UpdateResourceAttribute",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Resource Attribute Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateResourceAttributeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Resource Attribute was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Resource Attribute"
        ],
        "summary": "Delete an existing Resource Attribute resource.",
        "description": "",
        "operationId": "DeleteResourceAttribute",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Resource Attribute Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteResourceAttributeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Resource Attribute was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/{resourceId}/Attributes": {
      "get": {
        "tags": [
          "Resource Attribute"
        ],
        "summary": "Get a collection of Resource Attribute resources for the Resource.",
        "description": "",
        "operationId": "GetResourceAttributeCollectionForResource",
        "parameters": [
          {
            "name": "resourceId",
            "in": "path",
            "required": true,
            "description": "Resource Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Resource Attribute collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetResourceAttributeCollectionForResourceResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Attributes": {
      "get": {
        "tags": [
          "Resource Attribute"
        ],
        "summary": "Get a collection of Resource Attribute resources.",
        "description": "",
        "operationId": "GetResourceAttributeCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Resource Attribute collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetResourceAttributeCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Resource Attribute"
        ],
        "summary": "Create a new Resource Attribute resource.",
        "description": "",
        "operationId": "CreateResourceAttribute",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateResourceAttributeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Attributes/Lookups/LookupResourceAttributeAllowedValue": {
      "get": {
        "tags": [
          "Resource Attribute"
        ],
        "summary": "Lookup the Attribute Allowed Value for the Resource Attribute.",
        "description": "",
        "operationId": "LookupResourceAttributeAllowedValue",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Attribute Allowed Value collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceAttributeAttributeAllowedValueLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Attributes/Lookups/LookupResourceAttribute": {
      "get": {
        "tags": [
          "Resource Attribute"
        ],
        "summary": "Lookup the Attribute for the Resource Attribute.",
        "description": "",
        "operationId": "LookupResourceAttribute",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Attribute collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceAttributeAttributeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Attributes/Lookups/LookupResourceAttributeInsertPermissionTree": {
      "get": {
        "tags": [
          "Resource Attribute"
        ],
        "summary": "Lookup the permission set for creating the Resource Attribute.",
        "description": "",
        "operationId": "LookupResourceAttributeInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceAttributeInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Attributes/Lookups/LookupResourceAttributeResource": {
      "get": {
        "tags": [
          "Resource Attribute"
        ],
        "summary": "Lookup the Resource Attribute for the Resource Attribute.",
        "description": "",
        "operationId": "LookupResourceAttributeResource",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Resource collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/ResourceAttributeResourceLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/RES/Resources/Attributes/Batch/{ids}": {
      "get": {
        "tags": [
          "Resource Attribute"
        ],
        "summary": "Get a collection of Resource Attribute resources for the set of id's.",
        "description": "",
        "operationId": "BatchGetResourceAttribute",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Resource Attribute id's (eg. 1585760985950002,1585760985950003)",
[...]
